Skip to main content
PUT

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string
required

The id of the execution to set the variable for.

varName
string
required

The name of the variable to set.

Body

application/json
value
any

Can be any value - string, number, boolean, array or object. Note: Not every endpoint supports every type.

type
string | null

The value type of the variable.

valueInfo
object

A JSON object containing additional, value-type-dependent properties. For serialized variables of type Object, the following properties can be provided:

  • objectTypeName: A string representation of the object's type name.
  • serializationDataFormat: The serialization format used to store the variable.

For serialized variables of type File, the following properties can be provided:

  • filename: The name of the file. This is not the variable name but the name that will be used when downloading the file again.
  • mimetype: The MIME type of the file that is being uploaded.
  • encoding: The encoding of the file that is being uploaded.

The following property can be provided for all value types:

  • transient: Indicates whether the variable should be transient or not. See documentation for more informations. (Not applicable for decision-definition, /process-instance/variables-async, and /migration/executeAsync endpoints)

Response

Request successful. This method returns no content.